Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class DefaultResourceCodec

    java.lang.Object
      org.richfaces.resource.DefaultResourceCodec

All Implemented Interfaces:
  org.richfaces.resource.ResourceCodec

    public final class DefaultResourceCodec

extends Object
implements org.richfaces.resource.ResourceCodec

Constructor Summary
`DefaultResourceCodec()`

Method Summary
`org.richfaces.resource.ResourceRequestData` | `decodeResource(javax.faces.context.FacesContext context, String requestPath)`
`String` | `encodeJSFMapping(javax.faces.context.FacesContext context, String resourcePath)`
`String` | `encodeResourceRequestPath(javax.faces.context.FacesContext context, String libraryName, String resourceName, Object resourceData, String resourceVersion)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultResourceCodec

    public DefaultResourceCodec()

Method Detail

### encodeResourceRequestPath

    public String encodeResourceRequestPath(javax.faces.context.FacesContext context,
                                            String libraryName,
                                            String resourceName,
                                            Object resourceData,
                                            String resourceVersion)

  Specified by:
    `encodeResourceRequestPath` in interface `org.richfaces.resource.ResourceCodec`

### encodeJSFMapping

    public String encodeJSFMapping(javax.faces.context.FacesContext context,
                                   String resourcePath)

  Specified by:
    `encodeJSFMapping` in interface `org.richfaces.resource.ResourceCodec`

### decodeResource

    public org.richfaces.resource.ResourceRequestData decodeResource(javax.faces.context.FacesContext context,
                                                                     String requestPath)

  Specified by:
    `decodeResource` in interface `org.richfaces.resource.ResourceCodec`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.